'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var React = require('react');
function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () {
            return e[k];
          }
        });
      }
    });
  }
  n["default"] = e;
  return Object.freeze(n);
}
var React__namespace = /*#__PURE__*/_interopNamespace(React);
var LocaleContext = React.createContext({
  locale: 'en-GB'
});
var LocaleContextProvider = function (_a) {
  var locale = _a.locale,
    children = _a.children;
  return React__namespace.createElement(LocaleContext.Provider, {
    value: {
      locale: locale
    }
  }, children);
};

/**
 * This hook uses the `LocaleContext` to return the locale data.
 * @example Use it with a default context
 * ```js
 * const { locale } = useLocale();
 * assertEqual(locale, 'en-GB');
 * ```
 * @example Use with a Provider
 * ```js
 * <LocaleContextProvider locale="nl-NL">
 *   ...
 *   const { locale } = useLocale();
 *   assertEqual(locale, 'nl-NL');
 *   ...
 * </LocaleContextProvider>
 * ```
 */
function useLocale() {
  return React.useContext(LocaleContext);
}
exports.LocaleContextProvider = LocaleContextProvider;
exports.useLocale = useLocale;
//# sourceMappingURL=index.js.map
